<?php

$orangeThemes_general_options= array(
 array(
	"type" => "navigation",
	"name" => "General",
	"slug" => "general"
),

array(
	"type" => "tab",
	"slug"=>'general'
),

array(
	"type" => "sub_navigation",
	"subname"=>array(
		array("slug"=>"page", "name"=>"Page"), 
		array("slug"=>"blog", "name"=>"Blog"),
		array("slug"=>"homepage", "name"=>"Homepage"),
		array("slug"=>"gallery", "name"=>"Gallery"),
		array("slug"=>"contact", "name"=>"Contact"),
		array("slug"=>"banner_settings", "name"=>"Banners")
	)
),

/* ------------------------------------------------------------------------*
 * PAGE SETTINGS
 * ------------------------------------------------------------------------*/

 array(
	"type" => "sub_tab",
	"slug"=>'page'
),

array(
	"type" => "homepage_set_test",
	"title" => "Set up Your Homepage and post page!",
	"desc" => "	<p><b>You have not selected the correct template page for homepage.</b></p>
	<p>Please make sure, you choose template \"Homepage\".</p>
	<br/>
	<ul>
		<li>Current front page: <a href='".get_permalink(get_option('page_on_front'))."'>".get_the_title(get_option('page_on_front'))."</a></li>
		<li>Current blog page: <a href'".get_permalink(get_option('page_for_posts'))."'>".get_the_title(get_option('page_for_posts'))."</a></li>
	</ul>",
	"desc_2" => "<p><b>You have NOT enabled homepage.</b></p>
	<p>To use custom homepage, you must first create two <a href='".home_url()."/wp-admin/post-new.php?post_type=page'>new pages</a>, and one of them assign to \"<b>Homepage</b>\" template.Give each page a title, but avoid adding any text.</p>
	<p>Then enable homepage  in <a href='".home_url()."/wp-admin/options-reading.php'>wordpress reading settings</a> (See \"Front page displays\" option). Select your previously created pages from both dropdowns and save changes.</p>"
),

array(
	"type" => "upload",
	"title" => "Add logo image",
	"info" => "Suggested image size is 166x28px",
	"id" => $orange_themes_managment->themeslug."_logo"
),

array(
	"type" => "checkbox",
	"title" => "Enable Search",
	"id" => $orange_themes_managment->themeslug."_search",
	"std" => "off"
),

array(
	"type" => "checkbox",
	"title" => "Use cufon",
	"id" => $orange_themes_managment->themeslug."_cufon",
	"std" => "off"
),

array(
	"type" => "title",
	"title" => "Breaking News",
),

array(
	"type" => "checkbox",
	"title" => "Enable Breaking News Slider:",
	"id" => $orange_themes_managment->themeslug."_breaking_news",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Breaking News Category:",
	"id" => $orange_themes_managment->themeslug."_breaking_news_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_breaking_news", "value" => "on")
		)
),

array(
	"type" => "title",
	"title" => "Style Settings",
),

array(
	"type" => "select",
	"title" => "Blog List Style",
	"id" => $orange_themes_managment->themeslug."_news_style",
	"options"=>array(
		array("slug"=>"style_1", "name"=>"Style 1 (News and posts with small images)"), 
		array("slug"=>"style_2", "name"=>"Style 2 (News and posts with big images)"),
		),
	"std" => "style_1"
),

array(
	"type" => "save",
	"title" => "Save Changes"
),
   
array(
	"type" => "closesubtab"
),
   
/* ------------------------------------------------------------------------*
 * BLOG SETTINGS
 * ------------------------------------------------------------------------*/   
  
array(
	"type" => "sub_tab",
	"slug"=>'blog'
),

array(
	"type" => "checkboxes",
	"title" => "Unit Settings",
	"checkboxes" => array(
		array("title"=>"Show thumbnails in blog post list:", "id"=>$orange_themes_managment->themeslug."_show_first_thumb"),
		array("title"=>"Show thumbnail in open post", "id"=>$orange_themes_managment->themeslug."_show_single_thumb"),
		array("title"=>"Show \"no image\" thumbnail, when no thumbnail is available:", "id"=>$orange_themes_managment->themeslug."_show_no_image_thumb")
	)
),

array(
	"type" => "checkboxes",
	"title" => "Post settings",
	"checkboxes" => array(
		array("title"=>"Show pictures in post list page:", "id"=>$orange_themes_managment->themeslug."_show_first_pictures"),
		array("title"=>"Show other objects on post list page (videos etc.):", "id"=>$orange_themes_managment->themeslug."_show_first_objects"),
		array("title"=>"Show information about author under the post:", "id"=>$orange_themes_managment->themeslug."_show_about_author")
	)
),

array(
	"type" => "save",
	"title" => "Save Changes"
),

array(
	"type" => "closesubtab"
),

   
/* ------------------------------------------------------------------------*
 * HOMEPAGE SETTINGS
 * ------------------------------------------------------------------------*/   
 
 array(
	"type" => "sub_tab",
	"slug"=>'homepage'
),

array(
	"type" => "title",
	"title" => "Homepage text block"
),

array(
	"type" => "checkbox",
	"title" => "Enable homepage text block:",
	"id" => $orange_themes_managment->themeslug."_homepage_text_blocks_enabled",
	"std" => "off"
),

array(
	"type" => "textarea",
	"title" => "Homepage text block",
	"sub_title" => "Text:",
	"id" => $orange_themes_managment->themeslug."_homepage_text_bock_txt",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_text_blocks_enabled", "value" => "on")
		)
),

array(
	"type" => "title",
	"title" => "Homepage latest news"
),

array(
	"type" => "checkbox",
	"title" => "Enable \"Latest News Block - 7 Posts\":",
	"id" => $orange_themes_managment->themeslug."_homepage_news_big",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 7 Posts\" Category",
	"id" => $orange_themes_managment->themeslug."_homepage_news_big_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_big", "value" => "on")
	)
),

array(
	"type" => "checkbox",
	"title" => "Enable \"Latest News Block - 5 Posts\":",
	"id" => $orange_themes_managment->themeslug."_homepage_news_5",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 5 Posts\" Category",
	"id" => $orange_themes_managment->themeslug."_homepage_news_5_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_5", "value" => "on")
	)
),

array(
	"type" => "checkbox",
	"title" => "Enable \"Latest News Block - 9 Posts\":",
	"id" => $orange_themes_managment->themeslug."_homepage_news_9",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 9 Posts\" Category",
	"id" => $orange_themes_managment->themeslug."_homepage_news_9_cat",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_9", "value" => "on")
	)
),

array(
	"type" => "checkbox",
	"title" => "Enable \"Latest News Block - Triple Box\":",
	"id" => $orange_themes_managment->themeslug."_homepage_triple_box",
	"std" => "off"
),

array(
	"type" => "checkbox",
	"title" => "Enable \"Latest News Block - 3 Blocks With 9 Posts\":",
	"id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks",
	"std" => "off"
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 3 blocks\" Category 1",
	"id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks_cat_1",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks", "value" => "on")
	)
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 3 blocks\" Category 2",
	"id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks_cat_2",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks", "value" => "on")
	)
),

array(
	"type" => "categories",
	"title" => "Set \"Latest News Block - 3 blocks\" Category 3",
	"id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks_cat_3",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_homepage_news_3_blocks", "value" => "on")
	)
),
array(
	"type" => "save",
	"title" => "Save Changes"
),

array(
	"type" => "closesubtab"
),


/* ------------------------------------------------------------------------*
 * CONTACT SETTINGS
 * ------------------------------------------------------------------------*/   
 
array(
	"type" => "sub_tab",
	"slug"=>'contact'
),

array(
	"type" => "title",
	"title" => "Contact Form"
),

array(
	"type" => "input",
	"title" => "Contact Form E-mail:",
	"id" => $orange_themes_managment->themeslug."_contact_mail"
),

array(
	"type" => "title",
	"title" => "Social Networks and RSS"
),

array(
	"type" => "checkbox",
	"title" => "Social Networks Icons",
	"id" => $orange_themes_managment->themeslug."_social_footer",
	"std" => "off"
),

array(
	"type" => "checkbox",
	"title" => "Show Social Networks Icons In Header",
	"id" => $orange_themes_managment->themeslug."_social_header",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	),
	
),

array(
	"type" => "input",
	"title" => "Twitter Account Url:",
	"id" => $orange_themes_managment->themeslug."_twitter",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	)
),

array(
	"type" => "input",
	"title" => "Facebook Account Url:",
	"id" => $orange_themes_managment->themeslug."_facebook",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	)
),

array(
	"type" => "input",
	"title" => "Digg Account Url:",
	"id" => $orange_themes_managment->themeslug."_digg",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	)
),

array(
	"type" => "input",
	"title" => "YouTube Channel Url:",
	"id" => $orange_themes_managment->themeslug."_youtube",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	)
),

array(
	"type" => "input",
	"title" => "Flickr Account Url:",
	"id" => $orange_themes_managment->themeslug."_flickr",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_social_footer", "value" => "on")
	)
),

array(
	"type" => "checkbox",
	"title" => "Show RSS Button",
	"id" => $orange_themes_managment->themeslug."_rss_button",
	"std" => "off"
),

array(
	"type" => "input",
	"title" => "RSS Url:",
	"id" => $orange_themes_managment->themeslug."_rss_url",
	"std" => get_bloginfo("rss_url"),
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_rss_button", "value" => "on")
	)

),

array(
	"type" => "title",
	"title" => "Footer Settings",
),

array(
	"type" => "checkbox",
	"title" => "Enable Category Block In Footer: ",
	"id" => $orange_themes_managment->themeslug."_cat_block",
	"std" => "off"
),

array(
	"type" => "title",
	"title" => "Set Categories",
),

array(
	"type" => "categories",
	"title" => "Category 1",
	"id" => $orange_themes_managment->themeslug."_cat_block_1",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 2",
	"id" => $orange_themes_managment->themeslug."_cat_block_2",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 3",
	"id" => $orange_themes_managment->themeslug."_cat_block_3",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 4",
	"id" => $orange_themes_managment->themeslug."_cat_block_4",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 5",
	"id" => $orange_themes_managment->themeslug."_cat_block_5",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 6",
	"id" => $orange_themes_managment->themeslug."_cat_block_6",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),


array(
	"type" => "categories",
	"title" => "Category 7",
	"id" => $orange_themes_managment->themeslug."_cat_block_7",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_cat_block", "value" => "on")
	)
),

array(
	"type" => "title",
	"title" => "Footer Text Area",
),

array(
	"type" => "checkbox",
	"title" => "Enable Footer Text Area: ",
	"id" => $orange_themes_managment->themeslug."_footer_text",
	"std" => "off"
),

array(
	"type" => "input",
	"title" => "Title:",
	"id" => $orange_themes_managment->themeslug."_footer_title",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_footer_text", "value" => "on")
	)
),

array(
	"type" => "textarea",
	"title" => "Text:",
	"id" => $orange_themes_managment->themeslug."_footer_txt",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_footer_text", "value" => "on")
	)
),

array(
	"type" => "save",
	"title" => "Save Changes"
),

array(
	"type" => "closesubtab"
),


/* ------------------------------------------------------------------------*
 * GALLERY SETTINGS
 * ------------------------------------------------------------------------*/   
 
array(
	"type" => "sub_tab",
	"slug"=>'gallery'
),

array(
	"type" => "select",
	"title" => "Gallery Style",
	"id" => $orange_themes_managment->themeslug."_gallery_style",
	"options"=>array(
		array("slug"=>"style_1", "name"=>"Style 1 (Dafault Galleries)"), 
		array("slug"=>"style_2", "name"=>"Style 2 (Pop-Up Galleries With JavaScript"),
		),
	"std" => "style_1"
),

array(
	"type" => "input",
	"title" => "Items per gallery page:",
	"id" => $orange_themes_managment->themeslug."_gallery_items"
),

array(
	"type" => "save",
	"title" => "Save Changes"
),

array(
	"type" => "closesubtab"
),


/* ------------------------------------------------------------------------*
 * BANNER SETTINGS
 * ------------------------------------------------------------------------*/   
 
array(
	"type" => "sub_tab",
	"slug"=>'banner_settings'
),

array(
	"type" => "radio",
	"title" => "Select a Banner type",
	"id" => $orange_themes_managment->themeslug."_banner_type",
	"radio" => array(
		array("title" => "Off", "value" => "off"),
		array("title" => "Banner With Image", "value" => "image"),
		array("title" => "Banner With Text Or HTML Code", "value" => "text"),
		array("title" => "Banner With Image &amp; Text", "value" => "text_image")
	),
	"std" => "off"
),

array(
	"type" => "upload",
	"title" => "Add Banner Image",
	"id" => $orange_themes_managment->themeslug."_banner_image",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_banner_type", "value" => "image")
	)
),

array(
	"type" => "textarea",
	"sub_title" => "Banner content",
	"info" => "You can copy also some HTML code here.",
	"id" => $orange_themes_managment->themeslug."_banner_text",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_banner_type", "value" => "text")
	)
),

array(
	"type" => "upload",
	"title" => "Add Banner Image",
	"id" => $orange_themes_managment->themeslug."_banner_text_image_img",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_banner_type", "value" => "text_image")
	)
),

array(
	"type" => "textarea",
	"sub_title" => "Banner text",
	"info" => "You add only text.",
	"id" => $orange_themes_managment->themeslug."_banner_text_image_txt",
	"protected" => array(
		array("id" => $orange_themes_managment->themeslug."_banner_type", "value" => "text_image")
	)
),

array(
	"type" => "title",
	"title" => "Banner Settings",
),

array(
	"type" => "select",
	"title" => "Start Time",
	"id" => $orange_themes_managment->themeslug."_banner_start",
	"options"=>array(
		array("slug"=>"0", "name"=>"0 Secconds"), 
		array("slug"=>"5", "name"=>"5 Secconds"),
		array("slug"=>"10", "name"=>"10 Secconds"),
		array("slug"=>"15", "name"=>"15 Secconds"),
		array("slug"=>"20", "name"=>"20 Secconds"),
		array("slug"=>"25", "name"=>"25 Secconds"),
		array("slug"=>"30", "name"=>"30 Secconds"),
		array("slug"=>"60", "name"=>"1 Minute"),
		array("slug"=>"120", "name"=>"2 Minute"),
		array("slug"=>"180", "name"=>"3 Minute"),

		),
	"std" => "off"
),

array(
	"type" => "select",
	"title" => "Close Time",
	"id" => $orange_themes_managment->themeslug."_banner_close",
	"options"=>array(
		array("slug"=>"0", "name"=>"Off"), 
		array("slug"=>"5", "name"=>"5 Secconds"),
		array("slug"=>"10", "name"=>"10 Secconds"),
		array("slug"=>"15", "name"=>"15 Secconds"),
		array("slug"=>"20", "name"=>"20 Secconds"),
		array("slug"=>"25", "name"=>"25 Secconds"),
		array("slug"=>"30", "name"=>"30 Secconds"),
		array("slug"=>"60", "name"=>"1 Minute"),
		array("slug"=>"120", "name"=>"2 Minute"),
		array("slug"=>"180", "name"=>"3 Minute"),

		),
	"std" => "off"
),

array(
	"type" => "select",
	"title" => "Fly In From",
	"id" => $orange_themes_managment->themeslug."_banner_fly_in",
	"options"=>array(
		array("slug"=>"off", "name"=>"Off"), 
		array("slug"=>"top", "name"=>"Top"),
		array("slug"=>"top-left", "name"=>"Top Left"),
		array("slug"=>"top-right", "name"=>"Top Right"),
		array("slug"=>"left", "name"=>"Left"),
		array("slug"=>"bottom", "name"=>"Bottom"),
		array("slug"=>"bottom-left", "name"=>"Bottom Left"),
		array("slug"=>"bottom-right", "name"=>"Bottom Right"),
		),
	"std" => "off"
),

array(
	"type" => "select",
	"title" => "Fly Out From",
	"id" => $orange_themes_managment->themeslug."_banner_fly_out",
	"options"=>array(
		array("slug"=>"off", "name"=>"Off"), 
		array("slug"=>"top", "name"=>"Top"),
		array("slug"=>"top-left", "name"=>"Top Left"),
		array("slug"=>"top-right", "name"=>"Top Right"),
		array("slug"=>"left", "name"=>"Left"),
		array("slug"=>"bottom", "name"=>"Bottom"),
		array("slug"=>"bottom-left", "name"=>"Bottom Left"),
		array("slug"=>"bottom-right", "name"=>"Bottom Right"),
		),
	"std" => "off"
),

array(
	"type" => "select",
	"title" => "Show Banner after",
	"info" => "How many times site may be viewed until the popup will be shown again",
	"id" => $orange_themes_managment->themeslug."_banner_views",
	"options"=>array(
		array("slug"=>"0", "name"=>"0 Click"), 
		array("slug"=>"1", "name"=>"1 Click"),
		array("slug"=>"2", "name"=>"2 Clicks"),
		array("slug"=>"2", "name"=>"3 Clicks"),
		array("slug"=>"4", "name"=>"4 Clicks"),
		array("slug"=>"5", "name"=>"5 Clicks"),
		array("slug"=>"10", "name"=>"10 Clicks"),
		array("slug"=>"20", "name"=>"20 Clicks"),
		),
	"std" => "off"
),

array(
	"type" => "select",
	"title" => "How offen show the banner",
	"id" => $orange_themes_managment->themeslug."_banner_timeout",
	"options"=>array(
		array("slug"=>"0", "name"=>"One time per visit"), 
		array("slug"=>"1", "name"=>"Once a day"), 
		array("slug"=>"2", "name"=>"Once in 2 days"),
		array("slug"=>"3", "name"=>"Once in 3 days"),
		),
	"std" => "off"
),

array(
	"type" => "checkbox",
	"title" => "Enable Background Overlay:",
	"id" => $orange_themes_managment->themeslug."_banner_overlay",
	"std" => "off"
),

array(
	"type" => "save",
	"title" => "Save Changes"
),

array(
	"type" => "closesubtab"
),

array(
	"type" => "closetab"
)
 
 );


$orange_themes_managment->add_options($orangeThemes_general_options);
?>